<!--

// -------------------------------------------------------
// Javascript 0.4.01 - OpenCA Software
//
// Copyright (c) by Massimiliano Pala and OpenCA group
// All rights Reserved
// -------------------------------------------------------

function getConfirm( message ) {

		if( confirm( message ) != true ) {;
			alert("Aborted!");
			return false;
		}

		return true;
}

function getParams( cmd, theForm ) {

	var message = "";
	var cnf;

	if((cmd == "exportCerts") || (cmd == "exportCAReq") || 
						( cmd == "exportCACert") ) {
		message = "You need to provide a support to proceed\n";
		message += "(depends on configuration).\n\n";
		message += "Are you sure you want to continue?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false;
		};

		if( cmd == "exportCAReq" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "REQUEST";
		}

		if( cmd == "exportCACert" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "CERTIFICATE";
		}

		theForm.cmd.value = cmd;
		theForm.submit();
	}


	if( cmd == "genSKey" ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "If you continue, you will delete the old\n";
		message += "(if any) CA secret key.\n\n";
		message += "Are you sure you want to continue?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Enter encryption algorithm (des,des3,idea)",
								 "des3");

		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
				alert("Aborted!");
				return false;
		} else {
			theForm.alg.value = tmp;
		}

		tmp = prompt("Enter CA key size (in bits)", "2048");
		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
			alert("Aborted!");
			return false;
		} else {
			theForm.bits.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCAReq" ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		// reset DN
		theForm.dn.value = "";

		message = "Now you will be promped with questions about the CA\n";
		message += "certificate request to be generated. All\n";
		message += "fields can be skipped by simply inserting empty\n";
		message += "values. You can abort the process at any time\n";
		message += "by choosing the 'cancel' button.\n\n";
		message += "You must confirm the complete distinguished name at the end.\n";
		message += "There you can enter a full flexible distinguished name too.\n\n";
		message += "Are you sure you want to continue?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Enter E-mail address, e.g. " + 
			     "camanager@domain.org.", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.email.value = tmp;
			if ( tmp != "" ) {
				theForm.dn.value += "emailAddress=" + tmp;
			}
		}

		tmp = prompt("Enter Common Name, i.e. " + 
			     "Name Surname.", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.cn.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", CN=" + tmp;
				} else {
					theForm.dn.value += "CN=" + tmp;
				}
			}
		}

		tmp = prompt("Enter Organizational Unit Name, e.g. " +
			     "MyUnit.", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.ou.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", OU=" + tmp;
				} else {
					theForm.dn.value += "OU=" + tmp;
				}
			}
		}

		tmp = prompt("Enter Organization Name (e.g. OpenCA, ... )","");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.o.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", O=" + tmp;
				} else {
					theForm.dn.value += "O=" + tmp;
				}
			}
		}

		tmp = prompt("Enter ISO 3166 Country Code (e.g. IT, DE, US, ...)", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.c.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", C=" + tmp;
				} else {
					theForm.dn.value += "C=" + tmp;
				}
			}
		}

		// allow full dynamic DNs
		tmp = prompt("Please check the generated DN to be correct or enter a complete different DN\n" +
			"The used attributes must exactly match the definitions of OpenSSL!", theForm.dn.value);
		if( (tmp == "") || ( tmp == null)) {
			alert("Aborted or empty value given!");
			return false;
		} else {
			theForm.dn.value = tmp;
			if ( (theForm.dn.value == null) || (theForm.dn.value == "")) {
				alert("The distinguished name is empty!");
				return false;
			}
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCACert" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "This option lets you create a new self signed\n";
		message += "certificate for your CA. You should\n";
		message += "have generated the Private Key and\n";
		message += "the CSR already. You can abort the process by choosing\n";
		message += "the 'cancel' button.\n\n";
		message += "Are you sure you want continue ?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("CA certificate Validity (in days from now)",
								"730");

		if( (tmp == null) || ( tmp == "") ) {
			alert("Aborted or Empty Value Given!");
			return false;
		} else {
			theForm.days.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( (cmd == "genCRL") || (cmd == "genCRLfromFile") ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "This option lets you generate a new CRL, you will\n";
		message += "have to export it with the Export command.\n\n";
		message += "Are you sure you want to continue?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "exportCRL" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "This option lets you export newly generated CRL(s)\n";
		message += "to the export device.\n\n";
		message += "Are you sure you want to continue?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		theForm.submit();
	}

	if(cmd == "bpRecoverCert") {

		message = "Please take in mind that we use the old \n";
		message += "generated PIN to encrypt the data or \n";
		message += "no passphrase is used.\n\n";
		message += "Are you sure you want to continue?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
	}

	if( (cmd == "bpRecoverCert") || (cmd == "bpRecoverKey") ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "If you continue, you will need the \n";
		message += "passphrase of the keybackup's private key.\n\n";
		message += "Are you sure you want to continue?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "keybackup";

		// Ask for Password
		getPasswd (theForm);

	}

	if( (cmd == "bpExportPIN") || (cmd == "bpExportPKCS12") ) {
		if (mediaConfirm() != true) {
			return false;
		}
	}

	if( (cmd == "bpBackupKey") ||
            (cmd == "bpCreatePIN") ||
            (cmd == "bpExportPIN") ||
            (cmd == "bpCreateKey") ||
            (cmd == "bpCreateCSR") ||
            (cmd == "bpExportPKCS12") 
          ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "If you continue, you will need the \n";
		message += "passphrase of the batchprocessor's private key.\n\n";
		message += "Are you sure you want to continue?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "batchprocessor";

		// Ask for Password
		getPasswd (theForm);
	}

	if ( (cmd == "addCertToLDAPbyName") || (cmd == "deleteCertFromLDAPbyName") ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		message = "You can now enter the distinguished name of\n";
		message += "of the choosen certificate before the\n";
 		message += "LDAP-server will be updated.\n";
 		message += "You can abort the process at any time\n";
 		message += "by choosing the 'cancel' button.\n\n";
 		message += "Are you sure you want to continue?\n\n";
 
 		// Ask for confirmation
 		if( confirm( message ) != true ) {
 			return false
 		};
 		
 		tmp = prompt("Enter the modified DN", theForm.dn.value);
 
 		if( tmp == null ) {
 			alert("Aborted!");
 			return false;
 		} else {
 			theForm.new_dn.value = tmp;
 		}

 		// Set the Right Command
 		theForm.cmd.value = cmd;
		theForm.submit();
	}

	if (cmd == "send_cert_key") {

		theForm.cmd.value = cmd;
		if (theForm.format.value != "pkcs8") {
			getPasswd( this.form );
		} else {
			theForm.submit();
		}

	}

}

//-->

