<!--

// -------------------------------------------------------
// Javascript 0.4.01 - OpenCA Software
//
// Copyright (c) by Massimiliano Pala and OpenCA group
// All rights Reserved
// -------------------------------------------------------

function getConfirm( message ) {

		if( confirm( message ) != true ) {;
			alert("Abbruch!");
			return false;
		}

		return true;
}

function getParams( cmd, theForm ) {

	var message = "";
	var cnf;

	if((cmd == "exportCerts") || (cmd == "exportCAReq") || 
						( cmd == "exportCACert") ) {
		message = "Sie m\u00fcssen einen Datentr\u00e4ger zu Verf\u00fcgung stellen\n";
		message += "(abh\u00e4ngig von der Konfiguration).\n\n";
		message += "Wollen Sie fortfahren?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false;
		};

		if( cmd == "exportCAReq" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "REQUEST";
		}

		if( cmd == "exportCACert" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "CERTIFICATE";
		}

		theForm.cmd.value = cmd;
		theForm.submit();
	}


	if( cmd == "genSKey" ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Wenn Sie fortfahren, dann l\u00f6schen Sie den alten CA-Schl\u00fcssel,\n";
		message += "wenn ein schon ein CA-Schl\u00fcssel vorhanden ist.\n\n";
		message += "Wollen Sie fortfahren?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Bitte geben Sie den symmetrischen Verschl\u00fcsselungsalgorithmus ein (des,des3,idea)",
								 "des3");

		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
				alert("Abbruch!");
				return false;
		} else {
			theForm.alg.value = tmp;
		}

		tmp = prompt("Bitte geben Sie die gr\u00f6\u00dfe des CA-Schl\u00fcssels ein [Bits]", "2048");
		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
			alert("Abbruch!");
			return false;
		} else {
			theForm.bits.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCAReq" ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		// reset DN
		theForm.dn.value = "";

		message = "Nun werden Sie nach den einzelnen Elementen der Zertifikatsantrages\n";
		message += "der CA befragt. Diese Sind n\u00f6tig f\u00fcr die Erstellung des Antrages.\n";
		message += "Sie k\u00f6nnen alle Felder durch eine leere Eingabe \u00fcberspringen.\n";
		message += "Sie k\u00f6nnen den Prozess jederzeit abbrechen, wenn sie auf den\n";
		message += "Button 'abbrechen' klicken.\n\n";
		message += "Den eindeutigen Namen m\u00fcssen Sie am Ende best\u00e4tigen.\n";
		message += "Dort k\u00f6nnen Sie auch einen v\u00f6llig frei w\u00e4hlbaren Namen eingeben.\n\n";
		message += "Wollen Sie fortfahren?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Bitte geben Sie die E-Mailadresse ein, z.B. " + 
			     "camanager@domain.org.", "");
		if( tmp == null ) {
			alert("Abbruch!");
			return false;
		} else {
			theForm.email.value = tmp;
			if ( tmp != "" ) {
				theForm.dn.value += "emailAddress=" + tmp;
			}
		}

		tmp = prompt("Bitte geben Sie den Namen ein, z.B. " + 
			     "Vorname Nachname.", "");
		if( tmp == null ) {
			alert("Abbruch!");
			return false;
		} else {
			theForm.cn.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", CN=" + tmp;
				} else {
					theForm.dn.value += "CN=" + tmp;
				}
			}
		}

		tmp = prompt("Bitte geben Sie die Organisationseinheit ein, z.B. " +
			     "MyUnit.", "");
		if( tmp == null ) {
			alert("Abbruch!");
			return false;
		} else {
			theForm.ou.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", OU=" + tmp;
				} else {
					theForm.dn.value += "OU=" + tmp;
				}
			}
		}

		tmp = prompt("Bitte geben Sie die Organisation ein (z.B. OpenCA, ... )","");
		if( tmp == null ) {
			alert("Abbbruch!");
			return false;
		} else {
			theForm.o.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", O=" + tmp;
				} else {
					theForm.dn.value += "O=" + tmp;
				}
			}
		}

		tmp = prompt("Bitte geben Sie den ISO 3166 L\u00e4ndercode ein (z.B. IT, DE, US, ...)", "");
		if( tmp == null ) {
			alert("Abbruch!");
			return false;
		} else {
			theForm.c.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", C=" + tmp;
				} else {
					theForm.dn.value += "C=" + tmp;
				}
			}
		}

		// allow full dynamic DNs
		tmp = prompt("Bitte \u00fcberpr\u00fcfen sie den generierten eindeutigen Namen\n" +
                     "oder geben Sie ein anderen eindeutigen Namen ein.\n" +
			"Die beutzten Attribute m\u00fcssen exakt den Definitionen von OpenSSL entsprechen!", theForm.dn.value);
		if( (tmp == "") || ( tmp == null)) {
			alert("Abbruch oder Eingabe eines leeren Wertes!");
			return false;
		} else {
			theForm.dn.value = tmp;
			if ( (theForm.dn.value == null) || (theForm.dn.value == "")) {
				alert("Der eindeutige Name is leer!");
				return false;
			}
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCACert" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Diese Option erzeugt ein neues Self-Signed\n";
		message += "Zertifikat f\u00fcr ihre CA. Sie sollten\n";
		message += "einen privaten Schl\u00fcssel und einen neuen\n";
		message += "Zertifikatsantrag generiert haben. Sie k\u00f6nnen den Prozess\n";
		message += "abbrechen in dem Sie auf 'abbrechen' klicken.\n\n";
		message += "Wollen Sie fortfahren?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Bitte geben Sie G\u00fcltigkeitsdauer des CA-Zertifikates ein (in Tagen von heute)",
								"730");

		if( (tmp == null) || ( tmp == "") ) {
			alert("Abbruch oder leeren Wert eingegeben!");
			return false;
		} else {
			theForm.days.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( (cmd == "genCRL") || (cmd == "genCRLfromFile") ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Diese Option l\u00e4\u00dft Sie ein CRL generieren, welche\n";
		message += "Sie exportieren k\u00f6nnen mit dem Exportkommando.\n\n";
		message += "Wollen Sie fortfahren?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "exportCRL" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Diese Option l\u00e4\u00dft Sie die neu generierte CRL\n";
		message += "auf Exportmedium kopieren.\n\n";
		message += "Wollen Sie fortfahren?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		theForm.submit();
	}

	if(cmd == "bpRecoverCert") {

		message = "Bitte beachten Sie, dass wir die alte\n";
		message += "PIN f\u00fcr die Verschl\u00fcsselung der Daten benutzen oder \n";
		message += "bei Nichtvorhandensein kein Passwort benutzt wird.\n\n";
		message += "Wollen Sie fortfahren?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
	}

	if( (cmd == "bpRecoverCert") || (cmd == "bpRecoverKey") ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Wenn Sie fortfahren, dann ben\u00f6tigen Sie\n";
		message += "das Passwort f\u00fcr den privaten Schl\u00fcssel des Keybackups.\n\n";
		message += "Wollen Sie fortfahren?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "keybackup";

		// Ask for Password
		getPasswd (theForm);

	}

	if( (cmd == "bpExportPIN") || (cmd == "bpExportPKCS12") ) {
		if (mediaConfirm() != true) {
			return false;
		}
	}

	if( (cmd == "bpBackupKey") ||
            (cmd == "bpCreatePIN") ||
            (cmd == "bpExportPIN") ||
            (cmd == "bpCreateKey") ||
            (cmd == "bpCreateCSR") ||
            (cmd == "bpExportPKCS12") 
          ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Wenn Sie fortfahren, dann ben\u00f6tigen Sie\n";
		message += "das Passwort f\u00fcr den privaten Schl\u00fcssel des Batchprozessors.\n\n";
		message += "Wollen Sie fortfahren?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "batchprocessor";

		// Ask for Password
		getPasswd (theForm);

	}

	if ( (cmd == "addCertToLDAPbyName") || (cmd == "deleteCertFromLDAPbyName") ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Bitte geben Sie nun den eindeutigen Namen des\n";
		message += "ausgew\u00e4hlten Zertifikates ein bevor der\n";
 		message += "LDAP-Server geupdated wird.\n";
 		message += "Sie k\u00f6nnen den Prozess zu jeder Zeit abbrechen\n";
 		message += "in dem Sie auf 'abbrechen' klicken.\n\n";
 		message += "Wollen Sie fortfahren?\n\n";
 
 		// Ask for confirmation
 		if( confirm( message ) != true ) {
 			return false
 		};
 		
 		tmp = prompt("Bitte geben Sie den ge\u00e4nderten eindeutigen Namen ein", theForm.dn.value);
 
 		if( tmp == null ) {
 			alert("Abbruch!");
 			return false;
 		} else {
 			theForm.new_dn.value = tmp;
 		}

 		// Set the Right Command
 		theForm.cmd.value = cmd;
		theForm.submit();
	}

	if (cmd == "send_cert_key") {

		theForm.cmd.value = cmd;
		if (theForm.format.value != "pkcs8") {
			getPasswd( this.form );
		} else {
			theForm.submit();
		}

	}
}

//-->

