<!--

// -------------------------------------------------------
// Javascript 0.4.01 - OpenCA Software
//
// Copyright (c) by Massimiliano Pala and OpenCA group
// All rights Reserved
// -------------------------------------------------------

function getConfirm( message ) {

		if( confirm( message ) != true ) {;
			alert("\xa1Abortado!");
			return false;
		}

		return true;
}

function getParams( cmd, theForm ) {

	var message = "";
	var cnf;

	if((cmd == "exportCerts") || (cmd == "exportCAReq") || 
						( cmd == "exportCACert") ) {
		message = "Es necesario que proporcione un soporte para continuar\n";
		message += "(depende de la configuraci\xf3n).\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false;
		};

		if( cmd == "exportCAReq" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "REQUEST";
		}

		if( cmd == "exportCACert" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "CERTIFICATE";
		}

		theForm.cmd.value = cmd;
		theForm.submit();
	}


	if( cmd == "genSKey" ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Si contin\xfaa, eliminar\xe1 la vieja\n";
		message += "clave secreta de la AC (si es que la hab\xeda).\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Introduzca el algorithmo de cifrado (des,des3,idea)",
								 "des3");

		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
				alert("\xa1Abortado!");
				return false;
		} else {
			theForm.alg.value = tmp;
		}

		tmp = prompt("Introduzca el tama\xf1o de la clave de la AC (en bits)", "2048");
		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
			alert("\xa1Abortado!");
			return false;
		} else {
			theForm.bits.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCAReq" ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		// reset DN
		theForm.dn.value = "";

		message = "Ahora se le har\xe1n preguntas acerca de la solicitud de\n";
		message += "certificado que quiere generar. Todos los\n";
		message += "campos pueden omitirse simplemente introduciendo valores\n";
		message += "vac\xedos. Puede abortar el proceso en cualquier momento\n";
		message += "eligiendo el bot\xf3n 'cancelar'.\n\n";
		message += "Al final tendr\xe1 que confirmar el nombre distinguido completo.\n";
		message += "En eso momento podr\xe1 cambiar el nombre distinguido con total flexibilidad.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Introduzca direccin de correo electr\xf3nico, p.ej. " + 
			     "camanager@domain.org.", "");
		if( tmp == null ) {
			alert("\xa1Abortado!");
			return false;
		} else {
			theForm.email.value = tmp;
			if ( tmp != "" ) {
				theForm.dn.value += "emailAddress=" + tmp;
			}
		}

		tmp = prompt("Introduzca el Nombre Com\xfan, es decir " + 
			     "Nombre Apellidos.", "");
		if( tmp == null ) {
			alert("\xa1Abortado!");
			return false;
		} else {
			theForm.cn.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", CN=" + tmp;
				} else {
					theForm.dn.value += "CN=" + tmp;
				}
			}
		}

		tmp = prompt("Introduzca el Nombre de la Unidad Organizativa, p.ej. " +
			     "MiDepartamento.", "");
		if( tmp == null ) {
			alert("\xa1Abortado!");
			return false;
		} else {
			theForm.ou.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", OU=" + tmp;
				} else {
					theForm.dn.value += "OU=" + tmp;
				}
			}
		}

		tmp = prompt("Introduzca el Nombre de la Organizaci\xf3n (p.ej. OpenCA, ... )","");
		if( tmp == null ) {
			alert("\xa1Abortado!");
			return false;
		} else {
			theForm.o.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", O=" + tmp;
				} else {
					theForm.dn.value += "O=" + tmp;
				}
			}
		}

		tmp = prompt("Introduzca el C\xf3digo de Pa\xeds ISO 3166 (p.ej. ES, IT, DE, US, ...)", "");
		if( tmp == null ) {
			alert("\xa1Abortado!");
			return false;
		} else {
			theForm.c.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", C=" + tmp;
				} else {
					theForm.dn.value += "C=" + tmp;
				}
			}
		}

		// allow full dynamic DNs
		tmp = prompt("Por favor, compruebe que el ND generado es correcto o introduzca no diferente\n" +
			"\xa1Los atributos utilizados deben coincidir exactamente con las definiciones de OpenSSL!", theForm.dn.value);
		if( (tmp == "") || ( tmp == null)) {
			alert("\xa1Abortado o no se dio valor!");
			return false;
		} else {
			theForm.dn.value = tmp;
			if ( (theForm.dn.value == null) || (theForm.dn.value == "")) {
				alert("\xa1El nombre distinguido est\xe1 va\xedo!");
				return false;
			}
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCACert" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Esta opci\xf3n le permite crear un nuevo certificado\n";
		message += "autofirmado para su AC. Necesita\n";
		message += "haber generado the Clave Privada y\n";
		message += "la CSR ya. Puede abortar el proceso eligiendo\n";
		message += "bot\xf3n 'cancelar'.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Validez del certificado de la AC (en d\xedas desde ahora)",
								"730");

		if( (tmp == null) || ( tmp == "") ) {
			alert("\xa1Abortado o no se dio valor!");
			return false;
		} else {
			theForm.days.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( (cmd == "genCRL") || (cmd == "genCRLfromFile") ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Esta opci\xf3n le permite generar una nueva CRL, que\n";
		message += "tendr\xe1 que exportar con la orden 'Exportar'.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "exportCRL" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Esta opci\xf3n le permite exportar la CRL recin generada\n";
		message += "al dispositivo de exportaci\xf3n.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		theForm.submit();
	}

	if(cmd == "bpRecoverCert") {

		message = "Por favor, tenga en cuenta que utilizaremos el \n";
		message += "PIN generado viejo para cifrar los datos o \n";
		message += "no se utilizar\xe1 contrase\xf1a.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
	}

	if( (cmd == "bpRecoverCert") || (cmd == "bpRecoverKey") ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Si contin\xfaa, necesitar\xe1 la \n";
		message += "contrase\xf1a de la clave privada de la salvaguarda.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "keybackup";

		// Ask for Password
		getPasswd (theForm);

	}

	if( (cmd == "bpExportPIN") || (cmd == "bpExportPKCS12") ) {
		if (mediaConfirm() != true) {
			return false;
		}
	}

	if( (cmd == "bpBackupKey") ||
            (cmd == "bpCreatePIN") ||
            (cmd == "bpExportPIN") ||
            (cmd == "bpCreateKey") ||
            (cmd == "bpCreateCSR") ||
            (cmd == "bpExportPKCS12") 
          ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Si contin\xfaa, necesitar\xe1 la \n";
		message += "contrase\xf1a de la clave privada del procesador por lotes.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "batchprocessor";

		// Ask for Password
		getPasswd (theForm);

	}

	if ( (cmd == "addCertToLDAPbyName") || (cmd == "deleteCertFromLDAPbyName") ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Ahora puede introducir el nombre distinguido\n";
		message += "del certificado elegido antes de que el servidor\n";
 		message += "LDAP se actualice.\n";
 		message += "Puede abortar el proceso en cualquier momento\n";
 		message += "eligiendo el bot\xf3n 'cancelar'.\n\n";
		message += "\xbfEst\xe1 seguro de que desea continuar?\n\n";
 
 		// Ask for confirmation
 		if( confirm( message ) != true ) {
 			return false
 		};
 		
 		tmp = prompt("Introduzca el ND modificado", theForm.dn.value);
 
 		if( tmp == null ) {
			alert("\xa1Abortado!");
 			return false;
 		} else {
 			theForm.new_dn.value = tmp;
 		}

 		// Set the Right Command
 		theForm.cmd.value = cmd;
		theForm.submit();
	}

	if (cmd == "send_cert_key") {

		theForm.cmd.value = cmd;
		if (theForm.format.value != "pkcs8") {
			getPasswd( this.form );
		} else {
			theForm.submit();
		}

	}

}

//-->

