<!--

// -------------------------------------------------------
// Javascript 0.4.01 - OpenCA Software
//
// Copyright (c) by Massimiliano Pala and OpenCA group
// All rights Reserved
// -------------------------------------------------------

function getConfirm( message ) {

		if( confirm( message ) != true ) {;
			alert("Operazione Interrotta!");
			return false;
		}

		return true;
}

function getParams( cmd, theForm ) {

	var message = "";
	var cnf;

	if((cmd == "exportCerts") || (cmd == "exportCAReq") || 
						( cmd == "exportCACert") ) {
		message = "Devi fornire un supporto registrabile per continuare\n";
		message += "(dipende dal tipo di configurazione adottato).\n\n";
		message += "Sei sicuro di voler continuare?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false;
		};

		if( cmd == "exportCAReq" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "REQUEST";
		}

		if( cmd == "exportCACert" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "CERTIFICATE";
		}

		theForm.cmd.value = cmd;
		theForm.submit();
	}


	if( cmd == "genSKey" ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Continuando si distruggera' la vecchia\n";
		message += "Chiave Segreta della CA (se esistente).\n\n";
		message += "Sei sicuro di voler continuare?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Specifica il tipo di algoritmo da utilizzare (des,des3,idea)",
								 "des3");

		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
				alert("Errore o inserimento errato!");
				return false;
		} else {
			theForm.alg.value = tmp;
		}

		tmp = prompt("Inserisci la lunghezza della chiave della CA (in bits)", "2048");
		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
			alert("Errore o inserimento errato!");
			return false;
		} else {
			theForm.bits.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCAReq" ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		// reset DN
		theForm.dn.value = "";

		message = "Adesso dovrai fornire alcune informazioni per la generazione\n";
		message += "della richiesta per il certificato della CA. Tutti i campi\n";
		message += "possono essere lasciati vuoti per non fornire il relativo\n";
		message += "valore. Il processo puo' essere interrotto in ogni momento\n";
		message += "scegliento il pulsante 'Cancel'.\n\n";
		message += "Al termine dovrai confermare il 'Distinguished Name' completo.\n";
		message += "In alternativa potrai inserire un altro Distinguished Name.\n\n";
		message += "Sei sicuro di voler continuare?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Inserisci l'indirizzo E-mail, ad es. " + 
			     "camanager@domain.org.", "");
		if( tmp == null ) {
			alert("Errore: operazione terminata!");
			return false;
		} else {
			theForm.email.value = tmp;
			if ( tmp != "" ) {
				theForm.dn.value += "emailAddress=" + tmp;
			}
		}

		tmp = prompt("Inserisci il 'Common Name' (CN), ad. es. " + 
			     "Nome Cognome.", "");
		if( tmp == null ) {
			alert("Errore: operazione terminata!");
			return false;
		} else {
			theForm.cn.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", CN=" + tmp;
				} else {
					theForm.dn.value += "CN=" + tmp;
				}
			}
		}

		tmp = prompt("Inserisci l'Organizational Unit Name (OU), ad.es. " +
			     "MyUnit.", "");
		if( tmp == null ) {
			alert("Errore: operazione terminata!");
			return false;
		} else {
			theForm.ou.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", OU=" + tmp;
				} else {
					theForm.dn.value += "OU=" + tmp;
				}
			}
		}

		tmp = prompt("Inserisci il nome dell'Organizzazione (ad.es. Universita' RM, ... )","");
		if( tmp == null ) {
			alert("Errore: operazione terminata!");
			return false;
		} else {
			theForm.o.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", O=" + tmp;
				} else {
					theForm.dn.value += "O=" + tmp;
				}
			}
		}

		tmp = prompt("Inserisci il codice country ISO 3166 (ad.es. IT, DE, US, ...)", "");
		if( tmp == null ) {
			alert("Errore: operazione terminata!");
			return false;
		} else {
			theForm.c.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", C=" + tmp;
				} else {
					theForm.dn.value += "C=" + tmp;
				}
			}
		}

		// allow full dynamic DNs
		tmp = prompt("Verifica la correttezza del DN generato o inserisci un differente DN\n" +
			"Gli attributi utilizzati dovranno essere quelli presenti nella configurazione di OpenSSL!", theForm.dn.value);
		if( (tmp == "") || ( tmp == null)) {
			alert("Errore o valore non inserito!");
			return false;
		} else {
			theForm.dn.value = tmp;
			if ( (theForm.dn.value == null) || (theForm.dn.value == "")) {
				alert("Il campo distinguished name non puo' essere vuoto!");
				return false;
			}
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCACert" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Questa opzione consente la creazione di un certificato\n";
		message += "auto-firmato per la tua CA. Per procedere dovresti\n";
		message += "aver gia' generato la tua chiave privata e la CSR.\n";
		message += "Il processo pu essere interrotto selezionando il\n";
		message += "pulsante 'cancel'.\n\n";
		message += "Sei sicuro di voler continuare?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Giorni di validita' del certificato della CA (in giorni da ora)",
								"730");

		if( (tmp == null) || ( tmp == "") ) {
			alert("Errore o valore non inserito!");
			return false;
		} else {
			theForm.days.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( (cmd == "genCRL") || (cmd == "genCRLfromFile") ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Questa opzione consente la generazione di una nuova CRL,\n";
		message += "successivamente dovrai esportarla con il comando EXPORT.\n\n";
		message += "Sei sicuro di voler continuare?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "exportCRL" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Questa opzione ti consente di esportare una o pi nuove CRL\n";
		message += "verso la periferica designata (a seconda della configurazione).\n\n";
		message += "Sei sicuro di voler continuare?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		theForm.submit();
	}

	if(cmd == "bpRecoverCert") {

		message = "Attenzione: per crittare i dati sara' \n";
		message += "utilizzato il vecchio PIN generato e\n";
		message += "non la passphrase della CA.\n\n";
		message += "Sei sicuro di voler continuare?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
	}

	if( (cmd == "bpRecoverCert") || (cmd == "bpRecoverKey") ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Per continuare occorre la passphrase utilizzata\n";
		message += "per la chiave privata della KEYBACKUP.\n\n";
		message += "Sei sicuro di voler continuare?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "keybackup";

		// Ask for Password
		getPasswd (theForm);

	}

	if( (cmd == "bpExportPIN") || (cmd == "bpExportPKCS12") ) {
		if (mediaConfirm() != true) {
			return false;
		}
	}

	if( (cmd == "bpBackupKey") ||
            (cmd == "bpCreatePIN") ||
            (cmd == "bpExportPIN") ||
            (cmd == "bpCreateKey") ||
            (cmd == "bpCreateCSR") ||
            (cmd == "bpExportPKCS12") 
          ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Per continuare occorre la passphrase utilizzata\n";
		message += "per la chiave privata del BATCHPROCESSOR.\n\n";
		message += "Sei sicuro di voler continuare?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "batchprocessor";

		// Ask for Password
		getPasswd (theForm);
	}

	if ( (cmd == "addCertToLDAPbyName") || (cmd == "deleteCertFromLDAPbyName") ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		message = "E' possibile inserire il distinguished name (DN)\n";
		message += "del certificato scelto prima che il server\n";
 		message += "LDAP sia aggiornato.\n";
 		message += "Il processo pu essere interrotto selezionando il\n";
		message += "pulsante 'cancel'.\n\n";
 		message += "Sei sicuro di voler continuare?\n\n";
 
 		// Ask for confirmation
 		if( confirm( message ) != true ) {
 			return false
 		};
 		
 		tmp = prompt("Inserisci il DN modificato", theForm.dn.value);
 
 		if( tmp == null ) {
 			alert("Errore: operazione terminata!");
 			return false;
 		} else {
 			theForm.new_dn.value = tmp;
 		}

 		// Set the Right Command
 		theForm.cmd.value = cmd;
		theForm.submit();
	}

	if (cmd == "send_cert_key") {

		theForm.cmd.value = cmd;
		if (theForm.format.value != "pkcs8") {
			getPasswd( this.form );
		} else {
			theForm.submit();
		}

	}

}

//-->

