#
# spec file for package perl-OpenCA-Configuration
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

%define module_version %(perl -MExtUtils::MakeMaker -le 'print MM->parse_version(shift)' 'openca-configuration/Configuration.pm')

Name:         perl-OpenCA-Configuration
Copyright:    Copyright (C) 1998-2001 Massimiliano Pala and OpenCA Group
Group:        Development/Languages/Perl
Requires:     perl >= 5.6.1
Provides:     perl-OpenCA-Configuration
Autoreqprov:  on
Summary:      Configuration Management for OpenCA
Version:      %module_version
Release:      0
Source:  OpenCA-Configuration-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root


%description
This module provides an object-oriented management system for configuration
files for the OpenCA Project.

Authors:
--------

This software is part of the OpenCA Project and it has been mainly developed
by Massimiliano Pala (madwolf@openca.org). Thanks goes to anyone who has
contributed to the developing of the package.
    

%prep
%setup -n OpenCA-Configuration-%{version}

# ---------------------------------------------------------------------------
%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install

%define perl_sitelib  %(eval "`perl -V:sitelibexp`"; echo $sitelibexp)
%define perl_sitearch %(eval "`perl -V:sitearchexp`"; echo $sitearchexp)
%define perl_archlib  %(eval "`perl -V:archlib`"; echo $archlib)

[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/%{perl_sitearch}
make PREFIX=$RPM_BUILD_ROOT/usr \
	 INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	 install
install -d  $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/OpenCA/Configuration
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist


%files
%defattr(-,root,root)
/%{perl_sitelib}/OpenCA/Configuration.pm
%doc Changes LICENSE MANIFEST docs examples
# there is no OpenCA::Configuration.3pm.gz
# %doc %{_mandir}/man3/OpenCA::Configuration.3pm.gz
/var/adm/perl-modules/%{name}

%changelog -n perl-OpenCA-Configuration
* Thu Jul 18 2002 - michael.bell@web.de
- correct usage of perl environment
* Mon Jul 15 2002 - michael.bell@web.de
- better versionnumbers
* Wed May 15 2002 - michael.bell@web.de
- integrated into contrib/rpm/build-rpm.sh
* Tue Aug 21 2001 - ug@suse.de
- added to distribution
