#
# spec file for package perl-OpenCA-CRL
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#
# This spec file is used for RedHat so it is senseless to send comments to
# SuSE. Please send questions and recommendation to openca-users@lists.sf.net
# or to the author directly.

%define module_version %(perl -MExtUtils::MakeMaker -le 'print MM->parse_version(shift)' 'openca-crl/CRL.pm')

Name:         perl-OpenCA-CRL
Copyright:    Copyright (C) 1998-2001 Massimiliano Pala and OpenCA Group
Group:        Development/Languages/Perl
Provides:     perl-OpenCA-CRL
Requires:     perl >= 5.6.1 perl-OpenCA-OpenSSL
Autoreqprov:  on
Summary:      CRL Object Handling in PERL
Version:      %module_version
Release:      0
Source:  OpenCA-CRL-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root


%description
This module provides an object-oriented interface for CRL managing.
Supported operations are oriented to parsing CRLs, the module uses
the OpenCA-OpenSSL module for accessing the objects internals.

Authors:
--------

This software is part of the OpenCA Project and it has been mainly developed
by Massimiliano Pala (madwolf@openca.org). Thanks goes to anyone who has
contributed to the developing of the package.
    

%prep
%setup -n OpenCA-CRL-%{version}

# ---------------------------------------------------------------------------
%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install

%define perl_sitelib  %(eval "`perl -V:sitelibexp`"; echo $sitelibexp)
%define perl_sitearch %(eval "`perl -V:sitearchexp`"; echo $sitearchexp)
%define perl_archlib  %(eval "`perl -V:archlib`"; echo $archlib)

[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/%{perl_sitearch}
make PREFIX=$RPM_BUILD_ROOT/usr \
	 INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	 install
install -d  $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/OpenCA/CRL
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist


%files
%defattr(-,root,root)
/%{perl_sitelib}/OpenCA/CRL.pm
%doc Changes LICENSE MANIFEST
# there is no OpenCA::CRL.3pm.gz
# %doc %{_mandir}/man3/OpenCA::CRL.3pm.gz
/var/adm/perl-modules/%{name}

%changelog -n perl-OpenCA-CRL
* Thu Jul 18 2002 - michael.bell@web.de
- correct usage of perl environment
* Mon Jul 15 2002 - michael.bell@web.de
- better versionnumbers
* Wed May 15 2002 - michael.bell@web.de
- integrated into contrib/rpm/build-rpm.sh
* Tue Aug 21 2001 - ug@suse.de
- added to distribution
