#
# spec file for package perl-OpenCA-DB
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#
# This spec file is used for RedHat so it is senseless to send comments to
# SuSE. Please send questions and recommendation to openca-users@lists.sf.net
# or to the author directly.

%define module_version %(perl -MExtUtils::MakeMaker -le 'print MM->parse_version(shift)' 'openca-db/DB.pm')

Name:         perl-OpenCA-DB
Copyright:    Copyright (C) 1998-2001 Massimiliano Pala and OpenCA Group
Group:        Development/Languages/Perl
Requires:     perl >= 5.6.1 perl-OpenCA-REQ perl-OpenCA-X509 perl-OpenCA-CRL perl-OpenCA-OpenSSL perl-OpenCA-Tools
Provides:     perl-OpenCA-DB
Autoreqprov:  on
Summary:      Interface to DB_File (BerkleyDB - Sleepycat) for OpenCA
Version:      %module_version
Release:      0
Source:  OpenCA-DB-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root


%description
This module provides an interface to DB_File (Sleepycat) for the OpenCA Project.

Authors:
--------

This software is part of the OpenCA Project and it has been mainly developed
by Massimiliano Pala (madwolf@openca.org). Thanks goes to anyone who has
contributed to the developing of the package.
    

%prep
%setup -n OpenCA-DB-%{version}

# ---------------------------------------------------------------------------
%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install

%define perl_sitelib  %(eval "`perl -V:sitelibexp`"; echo $sitelibexp)
%define perl_sitearch %(eval "`perl -V:sitearchexp`"; echo $sitearchexp)
%define perl_archlib  %(eval "`perl -V:archlib`"; echo $archlib)

[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/%{perl_sitearch}
make PREFIX=$RPM_BUILD_ROOT/usr \
	 INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	 install
install -d  $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/OpenCA/DB
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist


%files
%defattr(-,root,root)
/%{perl_sitelib}/OpenCA/DB.pm
%doc Changes LICENSE MANIFEST doc
# there is no OpenCA::DB.3pm.gz
# %doc %{_mandir}/man3/OpenCA::DB.3pm.gz
/var/adm/perl-modules/%{name}

%changelog -n perl-OpenCA-DB
* Thu Jul 18 2002 - michael.bell@web.de
- correct usage of perl environment
* Mon Jul 15 2002 - michael.bell@web.de
- better versionnumbers
* Wed May 15 2002 - michael.bell@web.de
- created by copy&paste from perl-OpenCA-Configuration
