dnl Check for OCSP support libraries in installed openssl
dnl maybe a better check for the libraries should be required
dnl expecially because if we support openssl_prefix we should
dnl support it here too

AC_DEFUN(AC_OCSP_LIB,
[ AC_TRY_RUN( [
#include <openssl/ocsp.h>
int main(void)
{
	OCSP_CERTID *cid = NULL;
	return(0);
}], [ AC_DEFINE(HAVE_OCSP) ], [ocsp_error=1])

if [[ ocsp_error = 1 ]] ; then
	AC_MSG_RESULT([checking for OpenSSL OCSP support ... no]);
	AC_MSG_ERROR(
[*** OCSP support]
[*** missing support for ocsp, please update OpenSSL version]
[*** to 0.9.7 (or SNAPs). More info on http://www.openssl.org]
)
else
	AC_MSG_RESULT([OpenSSL OCSP support          : yes]);
fi])

