%define ver      	%(cat ocspd/VERSION)
%define  RELEASE 	2
%define  rel     	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   	/usr/local
%define openssl_prefix	/usr/local/ssl
%define openssl_req 	0.9.6

Summary: OpenCA OCSP Daemon
Name: OpenCA-OCSPD
Version: %ver
Release: %rel
Copyright: OpenCA Licensed Software
Group: Network/Daemons
Source: OpenCA-OCSPD-%{ver}.tar.gz
BuildRoot: /var/tmp/OpenCA-OCSPD-%{ver}-root
URL: http://www.openca.org/
Docdir: %{prefix}/doc
Prefix: %prefix
Requires: openssl >= %openssl_req

%description
OpenCA OCSP daemon (responder)

%prep
%setup

%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux"
%endif

# Why don't we use the distribution-specific configures from configs/?
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --with-openssl-prefix=%{openssl_prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --with-openssl-prefix=%{openssl_prefix}
fi

%build

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/sbin/*
%{prefix}/etc/*
%{prefix}/man/*

%post

%postun


%changelog
* Wed May 15 2002 Michael Bell <michael.bell@web.de>
- fixed for SuSE
- integrated into contrib/build-rpm.sh
* Thu Feb 20 2001 Massimiliano Pala <madwolf@openca.org>
- First RPM spec file
