/*
 * OCSP responder
 * by Massimiliano Pala (madwolf@openca.org)
 * OpenCA project 2001
 *
 * Copyright (c) 2001 The OpenCA Project.  All rights reserved.
 *
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

/* Functions */

TXT_DB *ocspd_load_db_file(char *dbfile );
char *db_get_revdate( ASN1_INTEGER *serial, OCSPD_CONFIG *conf );
char db_get_status( ASN1_INTEGER *serial, OCSPD_CONFIG *conf );
int db_set_status(X509 *x509, OCSPD_CONFIG *conf, char MODE);
char **lookup_serial(ASN1_INTEGER *ser, OCSPD_CONFIG *conf);
int unpack_revinfo(ASN1_TIME **prevtm, int *preason, ASN1_OBJECT **phold, 
		ASN1_GENERALIZEDTIME **pinvtm, char *str);

int ocspd_verify_cert ( X509_CRL *crl, ASN1_INTEGER *serial );

/* CRL related */
X509_CRL *ocspd_X509_CRL_bio ( BIO *in, int form );
X509_CRL *ocspd_load_crl_file( URL *url );
X509_CRL *ocspd_load_crl_ldap( URL *url );
X509_CRL *ocspd_get_crl ( URL *url );
