%define ver      	%(cat openca-sv/VERSION)
%define  RELEASE 	1
%define  rel     	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   	/usr/local
%define openssl_prefix 	/usr/local/ssl
%define openssl_req 	0.9.6

Summary: OpenCA Sign and Verify Toolkit
Name: OpenCA-SV
Version: %ver
Release: %rel
Copyright: GPL
Group: Security/OpenCA
Source: OpenCA-SV-%{ver}.tar.gz
BuildRoot: /var/tmp/OpenCA-SV-%{ver}-root
URL: http://www.openca.org/
Docdir: %{prefix}/doc
Prefix: %prefix
Requires: openssl >= %openssl_req

%description
OpenCA SV Tool is aimed to help you in generating PKCS#7
signatures and verify them. This tool can also verify
signatures generated with Netscape crypto() javascript
function and Microsoft CAPI.

%prep
%setup

%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --with-openssl-prefix=%{openssl_prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --with-openssl-prefix=%{openssl_prefix}
fi

%build

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} PACKAGE_PIXMAPS_DIR=$RPM_BUILD_ROOT%{prefix}/share/pixmaps install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/openca-*
%{prefix}/man/man*

%post

%postun


%changelog
* Wed May 15 2002 Michael Bell <michael.bell@web.de>
- integrated into contrib/rpm/build-rpm.sh
- small fixes for SuSE
* Thu Feb 20 2001 Massimiliano Pala <madwolf@openca.org>
- First RPM spec file
