%define ver      	%(cat VERSION)
%define  RELEASE 	2
%define  rel     	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   	/usr/local
%define openssl_prefix	/usr/local/ssl
%define openssl_req 	0.9.7

Summary: OpenCA MuscleCard ENGINE
Name: OpenCA-MuscleCard-ENGINE
Version: %ver
Release: %rel
Copyright: GPL
Group: Crypto/OpenCA
Source: OpenCA-MuscleCard-ENGINE-%{ver}.tar.gz
BuildRoot: /var/tmp/OpenCA-MuscleCard-ENGINE-%{ver}-root
URL: http://www.openca.org/
Docdir: %{prefix}/doc
Prefix: %prefix
Requires: openssl >= %openssl_req

%description
OpenCA MuscleCard ENGINE extension. This dynamic ENGINE for OpenSSL
will allow using openssl operating from any MUSCLE supported card and
reader.

%prep
%setup

%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux"
%endif

# Why don't we use the distribution-specific configures from configs/?
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --with-openssl-prefix=%{openssl_prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --with-openssl-prefix=%{openssl_prefix}
fi

%build

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/man/*

%post

%postun


%changelog
* Mon Oct 14 2002 Massimiliano Pala <madwolf@openca.org>
- First RPM spec file
