/*
 * SCEP MSG
 * ASN1 handling routines
 */

#include "scep_asn1.h"

SCEP_ISSUER_AND_SUBJECT	*SCEP_ISSUER_AND_SUBJECT_new(void) {
	SCEP_ISSUER_AND_SUBJECT *ret = NULL;
	ASN1_CTX c;

	M_ASN1_New_Malloc(ret, SCEP_ISSUER_AND_SUBJECT);
	M_ASN1_New(ret->issuer, X509_NAME_new);
	M_ASN1_New(ret->subject, X509_NAME_new);

	return ret;
	M_ASN1_New_Error(ASN1_F_X509_NAME_NEW);
}

void SCEP_ISSUER_AND_SUBJECT_free(SCEP_ISSUER_AND_SUBJECT *ias) {
	if (NULL == ias) return;
	X509_NAME_free(ias->issuer);
	X509_NAME_free(ias->subject);
	OPENSSL_free(ias);
}


int i2d_SCEP_ISSUER_AND_SUBJECT (SCEP_ISSUER_AND_SUBJECT *a,
		unsigned char **pp) {
	M_ASN1_I2D_vars(a);
	M_ASN1_I2D_len(a->issuer, i2d_X509_NAME);
	M_ASN1_I2D_len(a->subject, i2d_X509_NAME);
	M_ASN1_I2D_seq_total();
	M_ASN1_I2D_put(a->issuer, i2d_X509_NAME);
	M_ASN1_I2D_put(a->subject, i2d_X509_NAME);
	M_ASN1_I2D_finish();
}

SCEP_ISSUER_AND_SUBJECT *d2i_SCEP_ISSUER_AND_SUBJECT(
		SCEP_ISSUER_AND_SUBJECT **a, unsigned char **pp, long length) {

	M_ASN1_D2I_vars(a, SCEP_ISSUER_AND_SUBJECT *,
			SCEP_ISSUER_AND_SUBJECT_new);
	M_ASN1_D2I_Init();
	M_ASN1_D2I_start_sequence();
	M_ASN1_D2I_get(ret->issuer, d2i_X509_NAME);
	M_ASN1_D2I_get(ret->subject, d2i_X509_NAME);
	M_ASN1_D2I_Finish(a,SCEP_ISSUER_AND_SUBJECT_free,
		ASN1_F_D2I_X509_NAME);
}

